# class KKeyButton | A push button that looks like a keyboard key. More...
Internal Use Only
Definition | `#include <kkeybutton.h>`
Inherits | QPushButton (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KKeyButton ( QWidget *parent=0, const char *name=0 )
- ~KKeyButton ()
- void setText ( const QString& text )
- void setEditing (bool _editing)
- bool isEditing () const

#### Protected Methods

- void drawButton ( QPainter* _painter )

## Detailed Description

A push button that looks like a keyboard key.

KKeyButton ( QWidget *parent=0, const char *name=0 ) | ### KKeyButton

Constructs a key button widget.

~KKeyButton () | ### ~KKeyButton

Destructs the key button widget.

void setText ( const QString& text ) | ### setText

Reimplemented for internal purposes.

void setEditing (bool _editing) | ### setEditing

Sets the widget into editing mode or not. In editing mode, the widget has a different look.

bool isEditing () | ### isEditing

[const]

Returns: whether the widget is in editing mode.

void drawButton ( QPainter* _painter ) | ### drawButton

[protected]

Reimplemented for internal reasons.

Reimplemented from QPushButton.

- Author: Mark Donohoe <donohoe@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.